typedef struct strnode
{
  struct strnode *prev,*next;
  char *name;
} strlist_t;

typedef struct c_dep
{
  struct c_dep *prev,*next;
  char *name;
} c_dep_t;

typedef struct c_source
{
  struct c_source *prev,*next;
  c_dep_t dhead;
  char *name;
  int output_no;
} c_source_t;

typedef struct
{
  char *fn, *dir;
  char *dispname;

  char *c_compiler_path, *c_compiler_options,
       *c_compiler_optionsR, *c_compiler_optionsD;
  strlist_t c_include_paths;

  char  *c_linker_options, *c_linker_optionsR,
        *c_linker_optionsD;
  strlist_t c_library_paths;

  char *a_build_tool_dir, *a_jarfile,
       *a_zipalign, *a_dx, *a_aapt,
       *a_javac, *a_jarsigner, *a_keytool;

  char *a_adb;

  char *a_package, *a_appname;
  c_source_t c_sources;
  strlist_t perms;
  int scalign;
} bfile_t;


char *bfile_dir(bfile_t *bf);

c_dep_t* bfile_add_c_dependency(bfile_t *bf, c_source_t *cs,char *fname);
c_source_t* bfile_add_c_source(bfile_t *bf,char *fn,int n);
void bfile_add_perm(bfile_t *bf, char *name);
void bfile_remove_perm(bfile_t *bf, char *name);
int bfile_has_perm(bfile_t *bf, char *name);

bfile_t *bfile_open(char *path);
void bfile_save(bfile_t *bf);

void strnode_remove(strlist_t *K);
strlist_t *bfile_add_c_library(bfile_t *bf, char *name);
strlist_t *bfile_add_c_include(bfile_t *bf, char *name);

void bfile_destroy(bfile_t *bf);

char* c_source_file(bfile_t *bf,char *name);
char* c_object_file(bfile_t *bf, c_source_t *cs);

