#include <sys/stat.h>
#include <stdlib.h>
#include <errno.h>
#include <string.h>
#include "dep.h"

static time_t max_mtime;

static time_t get_mtime(char *fn)
{
  struct stat sb;
  if (stat(fn,&sb)) return 0;
  return sb.st_mtime;
}

void dep_reset()
{
  max_mtime= 0;
}

void dep_add(char *name)
{
  time_t k;
  k= get_mtime(name);
  if (k>max_mtime) max_mtime= k;
}

int dep_end(char *target)
{
  time_t k;
  k= get_mtime(target);
  return k<max_mtime;
}
