#include <sys/types.h>
#include <string.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <unistd.h>
#include <dirent.h>
#include "ptrbuf.h"
#include "path.h"

static int has_suffix(char *fn,char *ext)
{
  int Lf, Le;
  if (!ext) return 1;
  Lf= strlen(fn);
  Le= strlen(ext);
  if (Lf<Le) return 0;
  fn += Lf - Le;
  if (!strcmp(fn,ext)) return 1;
  return 0;
}


char **find_files(char *dir, char *ext)
{
  char **R;
  ptrbuf_t *files, *dirs;
  struct dirent *de;
  DIR *D;
  char *f;
  struct stat sb;

  files= ptrbuf_new(512);
  dirs= ptrbuf_new(512);
  ptrbuf_put(dirs, strdup(dir));

  while((dir=ptrbuf_get(dirs)))
  {
    D= opendir(dir);
    if (!D) { free(dir); continue; }
    while((de=readdir(D)))
    {
      if (!strcmp(de->d_name,".")) continue;
      if (!strcmp(de->d_name,"..")) continue;
      f= path_child(dir, de->d_name);
      if (stat(f,&sb)) { free(f); continue; }
      if (S_ISDIR(sb.st_mode)) { ptrbuf_put(dirs,f); continue; }
      if (!S_ISREG(sb.st_mode)) { free(f); continue; }
      if (!has_suffix(f,ext)) { free(f); continue; }
      ptrbuf_put(files,f);
    }
    closedir(D);
  }
  ptrbuf_put(files, NULL);
  ptrbuf_free(dirs, NULL, NULL);
  ptrbuf_free(files, (void***) &R, NULL);
  return R;
}
