
package com.dodo.easyprint;

import android.app.Activity;
import android.content.pm.ActivityInfo;
import android.app.NativeActivity;
import android.os.Environment;
import android.content.Intent;
import android.content.ClipData;
import android.database.Cursor;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.Bundle;
import android.provider.MediaStore;
import android.util.DisplayMetrics;
import android.content.ActivityNotFoundException;
import java.util.ArrayList;
 
public class MyActivity extends NativeActivity 
{
 
static { System.loadLibrary("main"); }

public static native void haveresult(int rcode);

private String gdd_s1;
private String cif_s1;

private static final int RESULT_CHOOSE_IMAGE = 1;
private static final int RESULT_CHOOSE_IMAGES = 2;

public void get_download_dir()
{
   gdd_s1= Environment.getExternalStoragePublicDirectory
                (Environment.DIRECTORY_DOWNLOADS).getAbsolutePath();
}

public void choose_image_file()
{
    cif_s1= null;
    Intent i= new Intent(Intent.ACTION_PICK,
              android.provider.MediaStore.Images.Media.EXTERNAL_CONTENT_URI);
    startActivityForResult(i, RESULT_CHOOSE_IMAGE);
}

void choose_image_file_result(int requestCode,int resultCode, Intent data)
{
    if (resultCode!=RESULT_OK || data==null)
    {
      cif_s1= null;
      haveresult(requestCode);
      return ;
    }
    Uri selectedImage = data.getData();
    String[] filePathColumn = { MediaStore.Images.Media.DATA };

    Cursor cursor = getContentResolver().query(selectedImage,
                       filePathColumn, null, null, null);
    cursor.moveToFirst();

    int columnIndex = cursor.getColumnIndex(filePathColumn[0]);
    String picturePath = cursor.getString(columnIndex);
    cursor.close();
    cif_s1= picturePath;
    haveresult(requestCode);
}

public void choose_image_files()
{
   cif_s1= null;
   Intent intent = new Intent();
   intent.setType("image/*");
   intent.putExtra(Intent.EXTRA_ALLOW_MULTIPLE, true);
   intent.setAction(Intent.ACTION_GET_CONTENT);
   startActivityForResult(Intent.createChooser(intent,"Select Picture"), 
                  RESULT_CHOOSE_IMAGES);
}

String file_path_of_uri(Uri uri)
{
  String value;
  String[] filePathColumn = { MediaStore.Images.Media.DATA };
  if (uri==null)
  {
    return "BadUri";
  }
  Cursor cursor = getContentResolver().query(uri, 
                             filePathColumn, null, null, null);
  cursor.moveToFirst();
  int columnIndex = cursor.getColumnIndex(filePathColumn[0]);
  value= cursor.getString(columnIndex);
  if (value==null) value= "BadStr";
  cursor.close();
  return value;
}

void choose_image_files_result(int requestCode,int resultCode, Intent data)
{
  ArrayList<String> imagelist;
  int i;
  if (resultCode!=RESULT_OK || data==null)
  {
    cif_s1= null;
    haveresult(requestCode);
    return ;
  }

  // Get the Image from data
  String[] filePathColumn = { MediaStore.Images.Media.DATA };
  imagelist = new ArrayList<String>();

  if (data.getClipData() != null) 
  {
     ClipData mClipData = data.getClipData();
     String s, p;
     Uri u;
     for (i=0;i<mClipData.getItemCount();i++) 
     {
       u= mClipData.getItemAt(i).getUri();
       if (!u.getScheme().equals("file")) s= u.toString();
       else
       s= u.getPath();  
       if (s!=null) imagelist.add(s);
     }
  } 
  else if (data.getData()!=null)
  {
    imagelist.add(file_path_of_uri(data.getData()));
  }

  StringBuffer sb;
  sb= new StringBuffer();
  for(i=0;i<imagelist.size();i++)
  {
    if (i!=0) sb.append("\n");
    sb.append(imagelist.get(i));
  }

  cif_s1= sb.toString();
  haveresult(requestCode);
}
  
@Override
protected void onActivityResult
      (int requestCode, int resultCode, Intent data) 
{
  super.onActivityResult(requestCode, resultCode, data);

  switch(requestCode)
  {
  case RESULT_CHOOSE_IMAGE:
    choose_image_file_result(requestCode,resultCode, data);
    break;
  case RESULT_CHOOSE_IMAGES:
    choose_image_files_result(requestCode,resultCode, data);
    break;
  }
}

@Override
protected void onCreate(Bundle savedInstanceState) {
   super.onCreate(savedInstanceState);
   // setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
   setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_SENSOR_PORTRAIT);
}

public int getStatusBarHeight() 
{
  int result= 0;
  int resourceId= getResources().getIdentifier
                          ("status_bar_height", "dimen", "android");
  if (resourceId > 0)
  {
      result= getResources().getDimensionPixelSize(resourceId);
  }
  return result;
}

public int getDisplayDPI()
{
  DisplayMetrics dm = new DisplayMetrics();
  getWindowManager().getDefaultDisplay().getMetrics(dm);


  float xDpi = dm.xdpi;
  float yDpi = dm.ydpi;

  if (xDpi>yDpi) return (int) xDpi; else return (int) yDpi;
}

public void rateApp()
{
  Uri uri = Uri.parse("market://details?id=" + getPackageName());
  Intent goToMarket = new Intent(Intent.ACTION_VIEW, uri);
  // To count with Play market backstack, After pressing back button, 
  // to taken back to our application, we need to add following flags to intent. 
  goToMarket.addFlags(Intent.FLAG_ACTIVITY_NO_HISTORY |
                    // Intent.FLAG_ACTIVITY_NEW_DOCUMENT |
                    Intent.FLAG_ACTIVITY_MULTIPLE_TASK);
  try
  {
    startActivity(goToMarket);
  }
  catch (ActivityNotFoundException e)
  {
      startActivity(new Intent(Intent.ACTION_VIEW,
          Uri.parse("http://play.google.com/store/apps/details?id=" 
                      + getPackageName())));
  }
}


}

