#!/bin/sh

package="com.dodo.easyprint"
class="MyActivity"
appname="Easy Print"

##################### No More Configuration Below #####################

mkdir ares
mkdir ares/drawable-hdpi
mkdir ares/values
mkdir asrc
mkdir B.android
cat > B.android/AndroidManifest.xml <<EOF
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
          package="$package"
          android:versionCode="1"
          android:versionName="1.0">

    <!-- This is the platform API where NativeActivity was introduced. -->
    <uses-sdk android:minSdkVersion="9" />
    <uses-feature android:name="android.hardware.screen.portrait" />

    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />

    <application android:label="@string/app_name"
                 android:hasCode="true"
                 android:debuggable="false"
                 android:icon="@drawable/appicon" >

        <activity android:name=".$class"
                  android:label="@string/app_name"
                  android:screenOrientation="nosensor"
                  android:configChanges="keyboardHidden">         

            <!-- Tell NativeActivity the name of or .so -->
            <meta-data android:name="android.app.lib_name"
                       android:value="mainlib" />
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
    </application>

</manifest>
<!-- END_INCLUDE(manifest) --> 
EOF

base64 --decode > ares/drawable-hdpi/appicon.png <<EOF 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EOF

cat > ares/values/strings.xml <<EOF
<?xml version="1.0" encoding="utf-8"?>
<resources>
    <string name="app_name">$appname</string>
</resources> 
EOF
